*{
    margin: 0;
    padding: 0;
    box-sizing: border-box;
}
:root{
    --vinho: #813140;
    --vinhoMedio: #62041F;
    --vinhoEscuro: #49131b;
    --headerBackground: #F1ECE6;
    --texto: #F3ECE6;
    --SizeParagrafo: 16.67px;
}
html, body {
    height: 100%;
}
body{
    background-color: rgba(235, 235, 235);
    display: flex;
    flex-direction: column;
    font-family: 'Roboto', sans-serif;
}
body::-webkit-scrollbar {
    width: 10px;
}
body::-webkit-scrollbar-track {
    background: transparent ;
}
body::-webkit-scrollbar-thumb {
    background-color: var(--vinhoEscuro);
    border-radius: 10px;
    border: 1px solid var(--vinhoEscuro);
}
.content{
    width: 100%;
    max-width: 1260px;
    margin: 0 auto;
    position: relative;
}
header {
    transition: height .3s ease-in;
    position: sticky;
    padding-bottom: 284px;
    z-index: 999;
}
header .wrapper-header{
    position: fixed;
    text-align: center;
    width: 100%;
    background-color: var(--headerBackground);
}
header .top-header{
    width: 100%;
    height: 44px;
    background-color: var(--vinho);
    font-size: 13.48px;
    font-weight: 100;
}
header .top-header .redes-sociais {
    display: flex;
    list-style: none;
    height: 100%;
    margin: 0;
    margin-left: 12px;
    padding: 0;
    align-items: center;
    gap: 22px;
}
header .top-header .redes-sociais li a {
    fill: var(--texto);
}
header .content .top-header .content{
    max-width: 1260px;
    display: flex;
    justify-content: space-between;
}
header .btnMobile {
    display: none;
    width: 30px;
    height: 25px;
    position: absolute;
    right: 20px;
    top: 20px;
    cursor: pointer;
}
header .btnMobile span {
    display: block;
    position: absolute;
    height: 4px;
    width: 100%;
    background: var(--vinhoEscuro);
    border-radius: 10px;
    opacity: 1;
    transition: transform 0.3s, opacity 0.3s;
}
header .btnMobile span:nth-child(1) {
    top: 0;
}
header .btnMobile span:nth-child(2){
    top: 11px;
}
header .btnMobile span:nth-child(3) {
    top: 22px;
}
header .btnMobile.open span:nth-child(1) {
    transform: translateY(11px) rotate(45deg);
}
header .btnMobile.open span:nth-child(2) {
    opacity: 0;
}
header .btnMobile.open span:nth-child(3) {
    transform: translateY(-11px) rotate(-45deg);
}
header .wrapper-logo {
    padding: 6px 0 0 0;
}
header .wrapper-logo img {
    transition: height .3s ease-out;
}
header .wrapper-links{
    width: 100%;
    list-style: none;
    display: flex;
    justify-content: space-between;
    padding: 12px 0;
    margin-top: 7px;
    border-top: var(--vinhoEscuro) 2px solid;
}
header .wrapper-links.active{
    box-shadow: 16px 0 34px 0 rgba(0,0,0,.5);
    width: 64%;
}
header .wrapper-links.active li{
    margin-bottom: 50px;
}
header .wrapper-links li {
    width: 146px;
}
header .wrapper-links li a {
    text-wrap: wrap;
    text-decoration: none;
    line-height: 1;
    font-size: 1.5rem;
    font-weight: 600;
    color: var(--vinhoEscuro);
    transition: font-size .3s ease-in, color .2s ease-in;
}
header .wrapper-links li a:hover,
header .wrapper-links li a.selected {
    color: var(--vinho);
}
header .wrapper-links .dropdown-menu{
    padding: 20px;
}
header.resized {
    height: 100px;
}
header.resized .wrapper-logo img{
    width: auto;
    height: 85px;

}
header.resized .wrapper-links li a {
    font-size: 1.2rem
}
section.frase {
    background-color: #8A3A4A;
    background-image: url('../img/background-frase.webp');
    background-position-x: center;
    box-shadow: 0 2px 14px #666666;
    z-index: 1;
}
section.frase .wrapper-frase {
    height: 147px;
    display: flex;
    align-items: center;
    justify-content: space-between;
    color: var(--texto);
    font-size: 1.3rem;
    padding: 0 12px;
    font-weight: 300;
}
section.frase .wrapper-frase .texto {
    text-align: end;
    flex-basis: 52%;
}
section.frase .wrapper-frase .texto .frase {
    font-size: 1.56rem;
    margin-bottom: 8px;
}
section.frase .wrapper-frase .texto .autor {
    font-size: 1.04rem;
}
main{
    flex: 1;
}
/* --------------------------FOOTER------------------------------- */
footer {
    padding-top: 20px;
    background-color: var(--vinhoEscuro);
}
section.faixa-footer {
    border-top: #620520 5px solid;
    transition: filter 0.2s ease;
    background: url('../img/background-faixa-footer.webp');
    background-attachment: fixed;
    background-size: cover;
}
section.faixa-footer:hover {
    filter: brightness(1.08);
}
section.faixa-footer .wrapper-faixa-footer {
    display: flex;
    justify-content: space-between;
    padding: 32px 96px;
}
section.faixa-footer .wrapper-faixa-footer p {
    color: var(--texto);
    font-size: 2.2rem;
    font-weight: 500;
    text-shadow: 0 2px 4px #0c0c0c9c;
}
section.faixa-footer .wrapper-faixa-footer button {
    color: var(--texto);
    background-color: var(--vinho);
    border: none;
    border-radius: 10px;
    padding: 10px 46px;
    font-size: 1.6rem;
    font-weight: 500;
    cursor: pointer;
    transition: background-color 0.6s;
}
section.faixa-footer:hover button {
    background-color: var(--vinhoEscuro);
}
footer img {
    width: 270px;
    height: auto;
    margin-bottom: 26px;
}
footer .wrapper-footer {
    margin: 0 auto;
    justify-content: space-between;
    height: max-content;
    display: flex;
    margin: 36px;
    flex-wrap: wrap;
}
footer .wrapper-footer .content-link {
    width: 250px;
}
footer .wrapper-footer .content-link h3{
    font-weight: 400;
    font-size: 25px;
    margin-bottom: 10px;
    color: var(--texto);
}
footer .wrapper-footer .content-link.about {
    width: 300px;
}
footer .wrapper-footer .content-link.about p:hover{
    font-weight: 600 !important;
}
footer .wrapper-footer .content-link.contact h3,
footer .wrapper-footer .content-link.about h3 {
    text-align: left;
}
footer .wrapper-footer .content-link a {
    text-decoration: none !important;
    font-size: 16.95px;
    color: var(--texto);
    font-weight: 300;
}
footer .wrapper-footer .content-link ul {
    padding-left: 0 !important;
}
footer .wrapper-footer .content-link ul li {
    display: flex;
    align-items: center;
    margin-bottom: 10px;
    flex-wrap: wrap;
}
footer .wrapper-footer .content-link.contact a {
    display: flex;
    align-items: center;
    gap: 6px;
    text-align: justify;
}
footer .wrapper-footer .content-link a:hover{
    font-weight: 400 !important;
}
footer .wrapper-footer .content-link li.selected a {
    font-weight: 400 !important;
    text-decoration: underline !important;
}
.byEngenho{
    text-align: center;
    padding: 3px;
    background-color: #f2ede7;
}
@keyframes float{0%{transform:translateY(0)}50%{transform:translateY(-20px)}100%{transform:translateY(0)}}
.btn-whats {
    background-color: #00b300;
    clip-path: circle();
    border-radius: 50%;
    padding: 14px;
    position: fixed;
    right: 6%;
    bottom: 10%;
    z-index: 99!important;
    display: flex;
    justify-content: center;
    align-items: center;
    animation: float 5s ease-in-out infinite;
}
/* --------------------------FIM FOOTER------------------------------- */
#popup {
    position: fixed;
    width: 100%;
    min-height: 50px;
    background-color: var(--vinhoMedio);
    bottom: 0px;
    z-index: 9999;
    padding: 14px;
    display: none;
}
.pop-up-cookie .content-wrapper {
    display: flex;
    justify-content: space-evenly;
    width: 100%;
    align-items: center;
}

.pop-up-cookie .content-wrapper p {
    color: var(--texto);
    font-size: 14px;
    text-align: center;
}

.pop-up-cookie .content-wrapper p a {
    font-weight: bold;
    color: var(--texto);
    font-size: 14px;
}

.pop-up-cookie .content-wrapper .btn-privacy {
    display: flex;
    justify-content: center;
    align-items: center;
    max-width: 100px;
    width: 100%;
    height: 30px;
    text-transform: uppercase;
    font-weight: bold;
    color: var(--vinhoEscuro);
    text-decoration: none !important;
    background-color: var(--texto);
    margin: 15px 0;
    border-radius: 10px;
}
@media(max-width: 1200px){
    .btn-flutuante{
        right: 30px;
    }
    header {
        height: auto;
        padding-bottom: 135px;
    }
    header .content-header {
        padding: 25px 10px 0px;
    }
    header .btnMobile{
        display: block;
        z-index: 99;
    }
    header .wrapper-links {
        display: block;
        z-index: 999;
        position: fixed;
        background: var(--vinhoEscuro);
        height: 100vh;
        width: 0;
        transition: width 0.4s ease;
        border: none;
        top: 0;
        margin: 0;
    }
    header .wrapper-links li {
        width: 100%;
    }
    header .wrapper-links li a {
        opacity: 0;
        visibility: hidden;
        color: var(--texto);
    }
    header .wrapper-links.active {
        padding-top: 80px;
        width: 75%;
        height: 100vh;
    }
    header .wrapper-links.active li a{
        visibility: visible;
        opacity: 1;
        transition: opacity 0.4s ease;
        font-weight: 300;
        font-size: 1.2rem !important;
    }
    header .wrapper-logo.mobile {
        display: block;
    }
    header .wrapper-logo img{
        width: 150px !important;
        height: auto !important;
    }
    footer img{
        display: flex;
        margin: 0 auto;
        width: auto;
        height: 50px;
        margin-bottom: 30px !important;
    }
    footer .wrapper-footer .content-link{
        width: 100% !important;
    }
    footer .wrapper-footer .content-link.about h3 {
        text-align: center;
        width: 100%;
    }
    footer .wrapper-footer .content-link.pages ul{
        transform: none;
    }
    footer .wrapper-footer {
        flex-direction: column;
        justify-content: center;
        text-align: center;
        align-items: center;
        gap: 60px;
        padding: 20px;
    }
    footer .wrapper-footer .content-link ul li {
        justify-content: center;
    }
    footer .wrapper-footer .content-link.contact h3 {
        text-align: center;
    }
    footer .wrapper-footer .content-link.contact a {
        align-items: center !important;
        flex-direction: column;
    }
    footer .wrapper-footer .content-link.pages .group-links {
        justify-content: space-around;
    }
}
@media(max-width: 860px) {
    header .top-header .redes-sociais {
        margin-left: 20px;
    }
    section.frase .wrapper-frase {
        padding: 12px;
        flex-direction: column;
    }
    section.frase .wrapper-frase .rota {
        font-size: 1rem;
    }
    section.frase .wrapper-frase .texto .frase {
        font-size: 1.05rem;
    }
    section.faixa-footer .wrapper-faixa-footer {
        flex-direction: column;
        padding: 20px;
        align-items: center;
    }
    section.faixa-footer .wrapper-faixa-footer p {
        font-size: 1.8rem;
        margin-bottom: 20px;
        text-align: center;
    }
    section.faixa-footer .wrapper-faixa-footer button {
        width: 64%;
        padding: 10px 0;
    }
}
